<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\FormController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });
Route::get('/', [FormController::class, 'showForm'])->name('form.show');
Route::get('/states/{country}', [FormController::class, 'getStates'])->name('form.states');
Route::post('/submit-entry', [FormController::class, 'saveEntry']);
